Автор Тема: Проблем с KDE 3.4 на Slackware-Current  (Прочетена 4366 пъти)

ZXR12RR

  • Участник
  • *****
  • Публикации: 9
    • Профил
Здравейте значе имам Слак , който Ъпдейтнах до Current и като реших да пусна X-a ми изписа следния проблем при стартирване на KDE 3.4 -> kde-config: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory
и ми изписва на бял екран : " startkde: Could not start kdeinit. Check your installation. "
някой да се е сблъсквал с тази грешка?И ако може да помогне ?!??  '<img'>  Благодаря предварително
Активен

Някои Казват, Че Няма Господ !!!! Има - Но Той Просто Е Администратор На Друг Сървър

rpetrov

  • Участник
  • *****
  • Публикации: 571
    • Профил
    • WWW
Проблем с KDE 3.4 на Slackware-Current
« Отговор #1 -: Mar 29, 2005, 18:02 »
Еми инсталирай пакета, които я съдържа.

Погледнах например тук http://www.slackware.at/data/slackware-current/slackware/l/
и го видях черно на бяло.
Активен

ZXR12RR

  • Участник
  • *****
  • Публикации: 9
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #2 -: Mar 29, 2005, 18:05 »
Цитат (rpetrov @ Март 29 2005,19:02)
Еми инсталирай пакета, които я съдържа.

Благодаря '<img'> пуснах го да се свали ... и ще го инсталирам '<img'> Благодаря за помоща '<img'>
Активен

Някои Казват, Че Няма Господ !!!! Има - Но Той Просто Е Администратор На Друг Сървър

exabyte

  • Участник
  • *****
  • Публикации: 177
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #3 -: Mar 30, 2005, 00:20 »
Съжалявам, че пускам пост, който не е съвсем по темата, но..

И аз имам проблем с KDE 3.4 от current-а.
Гълта около 4-5 пъти повече RAM. Старото гълташе 50-60 MB, това гълта 250.

Някой има ли идея как може да се направи Линукс да се ползва що-годе нормално с по-малко от 1.5 GB RAM?  '<img'>

Тъмън се канех да спра да ползвам Firefox (като основен консуматор на RAM) с надеждата, че това ще ми реши лесно проблема с RAM-а и новото KDE ме застреля на място...

Видял съм се в чудо... Имам само 512 MB RAM, който за нищо не стига...
Активен

Светът е мой враг, който иска да ме унищожи, но аз ще унищожа него.

philip

  • Участник
  • *****
  • Публикации: 207
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #4 -: Mar 30, 2005, 00:33 »
Цитат (exabyte @ Март 30 2005,00:20)
Съжалявам, че пускам пост, който не е съвсем по темата, но..

И аз имам проблем с KDE 3.4 от current-а.
Гълта около 4-5 пъти повече RAM. Старото гълташе 50-60 MB, това гълта 250.

Някой има ли идея как може да се направи Линукс да се ползва що-годе нормално с по-малко от 1.5 GB RAM?  '<img'>

Тъмън се канех да спра да ползвам Firefox (като основен консуматор на RAM) с надеждата, че това ще ми реши лесно проблема с RAM-а и новото KDE ме застреля на място...

Видял съм се в чудо... Имам само 512 MB RAM, който за нищо не стига...

Споко, до ден-два ще излезне dropline gnome 2.10 и мъките ти ще свършат'<img'>
Активен

exabyte

  • Участник
  • *****
  • Публикации: 177
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #5 -: Mar 30, 2005, 08:38 »
Това е принципно много хубаво '<img'>, ама за съжаление нещо ми е прекалено тромав този Gnome. А и не съм намерил тема за GTK2, която да ми хареса. Всички ми се виждат много грозни, с изключение на тази на Ubuntu, ама досега не съм я намерил никъде, а не ми се търси в кой deb е.

Всъщност, по-големия ми (и май единствения, ако изключим това, че съм свикнал с KDE) проблем с Gnome е, че от една версия нагоре (май 2.4) почна да ми пипа keymap-а на X-а без да ме пита, и съответно нямам кирилица. Това е изключително дразнещо. За какво им е да правят всичко да пипа, където не му е работата?

Между другото, точно Dropline няма да си го сложа никога. Нещо, което ми подменя дори X-а - не, мерси.

Ще си седя на KDE, гледам 130 MB от KDE-то са отишли в swap-а и не си ги търси особено много, тоест не ми бави от това, докато работя. '<img'>
Активен

Светът е мой враг, който иска да ме унищожи, но аз ще унищожа него.

philip

  • Участник
  • *****
  • Публикации: 207
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #6 -: Mar 30, 2005, 10:55 »
Цитат (exabyte @ Март 30 2005,08:38)
Това е принципно много хубаво '<img'>, ама за съжаление нещо ми е прекалено тромав този Gnome. А и не съм намерил тема за GTK2, която да ми хареса. Всички ми се виждат много грозни, с изключение на тази на Ubuntu, ама досега не съм я намерил никъде, а не ми се търси в кой deb е.

Всъщност, по-големия ми (и май единствения, ако изключим това, че съм свикнал с KDE) проблем с Gnome е, че от една версия нагоре (май 2.4) почна да ми пипа keymap-а на X-а без да ме пита, и съответно нямам кирилица. Това е изключително дразнещо. За какво им е да правят всичко да пипа, където не му е работата?

Между другото, точно Dropline няма да си го сложа никога. Нещо, което ми подменя дори X-а - не, мерси.

Ще си седя на KDE, гледам 130 MB от KDE-то са отишли в swap-а и не си ги търси особено много, тоест не ми бави от това, докато работя. '<img'>

Da, naistina tova bi bilo kritichno za tvoya secure server - kak moze niakoi da ti slaga pam i da ti podmenia x-sa sus po-optimizirana i po-burza patchnata versiya. uzas '<img'>
Probvai "clearlooks" temite. kato vidish za kakvo stava vapros vsichko ostanoalo ste ti se struva nedodialano. osobeno windowish looka na kdeto.
Активен

zazzko

  • Участник
  • *****
  • Публикации: 626
    • Профил
    • WWW
Проблем с KDE 3.4 на Slackware-Current
« Отговор #7 -: Mar 30, 2005, 12:39 »
/offtopic
Патрик Волкердинг е абсолютно против Dropline. Освен това GNOME 2.10 тотално скапва съществуваща KDE инсталация (трябва да се прилагат хакове, за да се оправят нещата). Да не говорим че инсталирането му води до подмяна на множество системни библиотеки (даже и този на GSB, за Dropline да не говорим).
Clearlooks не може да стъпи на малкият пръст на Plastik или Lipstik (в краткото време като имах GNOME 2.10 се убедих в това).

Не обичам flame-ове. но с горните два поста го предизвика. Ако толкова ти се изтъкват предимствата на GNOME пред KDE отвори тема и пиши. Но бъди сигурен че срещу всеки твой довод за GNOME ще намеря 2 за KDE.

Сега по темата. Виж какви услуги са пуснати допълнително и дали някоя от тях не дърпа прекалено много памет. Лично при мен разлика в използваната RAM няма (също съм с 512).

philip

  • Участник
  • *****
  • Публикации: 207
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #8 -: Mar 30, 2005, 13:27 »
Цитат (zazzko @ Март 30 2005,12:39)
/offtopic
Патрик Волкердинг е абсолютно против Dropline. Освен това GNOME 2.10 тотално скапва съществуваща KDE инсталация (трябва да се прилагат хакове, за да се оправят нещата). Да не говорим че инсталирането му води до подмяна на множество системни библиотеки (даже и този на GSB, за Dropline да не говорим).
Clearlooks не може да стъпи на малкият пръст на Plastik или Lipstik (в краткото време като имах GNOME 2.10 се убедих в това).

Не обичам flame-ове. но с горните два поста го предизвика. Ако толкова ти се изтъкват предимствата на GNOME пред KDE отвори тема и пиши. Но бъди сигурен че срещу всеки твой довод за GNOME ще намеря 2 за KDE.

Сега по темата. Виж какви услуги са пуснати допълнително и дали някоя от тях не дърпа прекалено много памет. Лично при мен разлика в използваната RAM няма (също съм с 512).

Gledai sega zazzko, edinstvenite biblioteki ot koito kde zavisi, koito se instalirat s gnome  sa libxml i libxslt. Tova ne razvalia instalaciyata na kde, zastoto bibliotekite sa po-novi i back-compatible.. Vsichko drugo koeto se instalira ne e sistemno, a sa si biblioteki na samiya GNOME.
Triabva da si goliam hacker da instalirash edno kde, bilo to i ot sorca.
Tova ne bi triabvalo da se vazpriema kato flame, zashtoto niama obidni dumi ili publichno unizenie na chlen ot foruma.
peace ':p'
Активен

zazzko

  • Участник
  • *****
  • Публикации: 626
    • Профил
    • WWW
Проблем с KDE 3.4 на Slackware-Current
« Отговор #9 -: Mar 30, 2005, 16:09 »
Споделена е още и libart например. Въпросът е че при инсталация на GNOME 2.10 при работеща KDE система се объркват менютата на КДЕ. Тук проблема не е само в ГНОМЕ, защото той се опитва да спазва стандартите на freedesktop.org, докато при КДЕ нещата не са точно така. За съжаление това не ме успокои след като се наложи ръчно да пренареждам менюто си.
От друга страна новия GNOME няма даже редактор на менюто си и поради това не може да се редактират включванията от менюто на KDE.
Аз инсталирах GSB точно с цел да се запозная с GNOME (KDE леко започва да ми писва), но случката описана по-горе и факта, че заби 3 пъти в рамките на около 2 часа (започва се със сриване на определени аплети, като накрая се срива и цялата среда) ме отказа тотално от ГНОМЕ.

ZEN

  • Участник
  • *****
  • Публикации: 159
    • Профил
    • WWW
Проблем с KDE 3.4 на Slackware-Current
« Отговор #10 -: Mar 30, 2005, 18:17 »
Цитат (exabyte @ Март 30 2005,01:20)
Съжалявам, че пускам пост, който не е съвсем по темата, но..

И аз имам проблем с KDE 3.4 от current-а.
Гълта около 4-5 пъти повече RAM. Старото гълташе 50-60 MB, това гълта 250.

Някой има ли идея как може да се направи Линукс да се ползва що-годе нормално с по-малко от 1.5 GB RAM?  '<img'>

Тъмън се канех да спра да ползвам Firefox (като основен консуматор на RAM) с надеждата, че това ще ми реши лесно проблема с RAM-а и новото KDE ме застреля на място...

Видял съм се в чудо... Имам само 512 MB RAM, който за нищо не стига...

Хм, този проблем с паматта и мен ме мъчи, аз съм с 250МВ в момента и след компилиране на КДЕ3.4 кешира до 240МБ примерно. За съжаление 3.4 е мако по-тромаво от 3.3.2 /с което съм в момента - Yoper 2.2-6/,независимо с какви опции го компилраш и колко сервизи му разкараш от /usr/share/services (така е при мен). Това до някъде облекчава нещата със скоростта  (субективно). Обаче има достадни бъгове, които хванах - каршва се Конкуерър-а при някои операции. За съжаление нямам идея къде е и как работи менаджера на паметта. Освен това в /proc  мио прави един core - файл с големина 1024МВ, докато 3.3.2 го прави същия но с големина 256МВ... и за това нямам идея...
Активен

philip

  • Участник
  • *****
  • Публикации: 207
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #11 -: Mar 30, 2005, 18:40 »
Цитат (zazzko @ Март 30 2005,16:09)
Споделена е още и libart например. Въпросът е че при инсталация на GNOME 2.10 при работеща KDE система се объркват менютата на КДЕ. Тук проблема не е само в ГНОМЕ, защото той се опитва да спазва стандартите на freedesktop.org, докато при КДЕ нещата не са точно така. За съжаление това не ме успокои след като се наложи ръчно да пренареждам менюто си.
От друга страна новия GNOME няма даже редактор на менюто си и поради това не може да се редактират включванията от менюто на KDE.
Аз инсталирах GSB точно с цел да се запозная с GNOME (KDE леко започва да ми писва), но случката описана по-горе и факта, че заби 3 пъти в рамките на около 2 часа (започва се със сриване на определени аплети, като накрая се срива и цялата среда) ме отказа тотално от ГНОМЕ.

Избинявай - libartlgpl съвсем я бях забравил ':p'  Междо другото GSB-то в оригиналния си вид е доста дървено (в момента го ползвам), но като разкарах evolution и като прекомпилирах gnome panel i applets, както и gnome-vfs изведнъж всичко придоби нова светлина. Все пак с нетърпение чакам dropline, защото този път дистрибуцията е пощадила повечето от оригиналните слак пакети а и също така разработчиците твърдят че последната бета била "rock-solid", което си е напълно в стила на Slackware.
Активен

zazzko

  • Участник
  • *****
  • Публикации: 626
    • Профил
    • WWW
Проблем с KDE 3.4 на Slackware-Current
« Отговор #12 -: Mar 30, 2005, 20:02 »
Ми дано е така. Защото липсата на Гноме пречи на някои потребители, а така се намалява ползвателите на Slackware.

Между другото в КДЕ 3.4 си има доста проблеми (поне при мен). Основния се проявява при отварянето на media:/. Диска започва да свети непрекъснато през определен интервал.
Kopete също забива непрекъснато (добре че не го ползвам).
Като цяло няма голям проект без проблеми по кода.

ZEN..в /proc няма реални файлове. Все пак този файл core трябва да е с големината на физическата памет, а не по-голям.

ZEN

  • Участник
  • *****
  • Публикации: 159
    • Профил
    • WWW
Проблем с KDE 3.4 на Slackware-Current
« Отговор #13 -: Mar 30, 2005, 23:30 »
Цитат (zazzko @ Март 30 2005,21:02)
Ми дано е така. Защото липсата на Гноме пречи на някои потребители, а така се намалява ползвателите на Slackware.

Между другото в КДЕ 3.4 си има доста проблеми (поне при мен). Основния се проявява при отварянето на media:/. Диска започва да свети непрекъснато през определен интервал.
Kopete също забива непрекъснато (добре че не го ползвам).
Като цяло няма голям проект без проблеми по кода.

ZEN..в /proc няма реални файлове. Все пак този файл core трябва да е с големината на физическата памет, а не по-голям.

zizzko знам аз за /прок че няма реални файлове, ма защо прави "нереален" 1ГБ бе.... Освен това некак си е по-бавен от 3.3.2... примерно конкуерър-а при 3.4 го ВИЖДАМ'<img'> как се отваря, докато при 3.3.2 това не е много сигурно... ей такива ми ти работи...
Активен

philip

  • Участник
  • *****
  • Публикации: 207
    • Профил
Проблем с KDE 3.4 на Slackware-Current
« Отговор #14 -: Mar 31, 2005, 00:52 »
':p'  '<img'>  ':p'  e добре де, само ми е интересно как достигна до просветлението, че КДЕ е отговорно за /proc/kcore. Защото има к-отпред ли? '<img'>  '<img'>  '<img'>

\
Активен

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
slackware-current ftp mirror?
Настройка на програми
souldead 3 516 Последна публикация Aug 11, 2004, 12:10
от kdpetkov
Ново ядро при Slackware Current
Настройка на програми
Victorche 14 2959 Последна публикация May 30, 2005, 12:17
от
Странен проблем с slackware current
Настройка на програми
vladi4ko 0 687 Последна публикация Jul 18, 2006, 21:52
от vladi4ko
Slackware-current проблеми с
Настройка на програми
filkataa 11 2213 Последна публикация Aug 24, 2006, 10:53
от
Slackware 12 current
Настройка на програми
samiboy 7 1651 Последна публикация Oct 22, 2007, 21:44
от samiboy